@echo off
set rebuild=0
set rule=
:G1101
echo FIREFOX_SOURCE=GECKO_SDK=ECL_PATH | find "%1%" > nul
if not %ERRORLEVEL%==0 goto G1105
set dest=%1%
set sour=%2%
set %dest%=%sour%
goto G1106
:G1105
set rule=%1%
:G1106
echo FIREFOX_SOURCE=GECKO_SDK=ECL_PATH | find "%2%" > nul
if not %ERRORLEVEL%==0 goto G1107
set dest=%2%
set sour=%3%
set %dest%=%sour%
:G1107
echo FIREFOX_SOURCE=GECKO_SDK=ECL_PATH | find "%3%" > nul
if not %ERRORLEVEL%==0 goto G1108
set dest=%3%
set sour=%4%
set %dest%=%sour%
:G1108
echo FIREFOX_SOURCE=GECKO_SDK=ECL_PATH | find "%4%" > nul
if not %ERRORLEVEL%==0 goto G1109
set dest=%4%
set sour=%5%
set %dest%=%sour%
:G1109
echo FIREFOX_SOURCE=GECKO_SDK=ECL_PATH | find "%5%" > nul
if not %ERRORLEVEL%==0 goto G1110
set dest=%5%
set sour=%6%
set %dest%=%sour%
:G1110
echo FIREFOX_SOURCE=GECKO_SDK=ECL_PATH | find "%6%" > nul
if not %ERRORLEVEL%==0 goto G1111
set dest=%6%
set sour=%7%
set %dest%=%sour%
:G1111
if not "%FIREFOX_SOURCE%" == "" goto G1112
set errmsg=Need to define FIREFOX_SOURCE
goto G1103
:G1112
if not "%GECKO_SDK%" == "" goto G1113
set errmsg=Need to define GECKO_SDK
goto G1103
:G1113
if not "%ECL_PATH%" == "" goto G1114
set errmsg=Need to define ECL_PATH
goto G1103
:G1114
set errmsg=Need a build rule
if "%rule%" == "" goto G1103
echo Running rule [%rule%]
echo.
if not exist build/ mkdir build\
if not exist build/xpcom/ mkdir build\xpcom\
if not exist build/xpcom/src/ mkdir build\xpcom\src\
echo Making build/xpcom/src/IKamenLisper.h
echo.
if not exist build/xpcom/src/IKamenLisper.h goto G1115
for /F %%a in ('xcopy /L /D /Y xpcom\src\IKamenLisper.idl build\xpcom\src\IKamenLisper.h ^| findstr /L "xpcom\src\IKamenLisper.idl"') do goto G1115
goto G1116
:G1115
set rebuild=1
set currmake=build/xpcom/src/IKamenLisper.h
xpidl -m header -o build/xpcom/src/IKamenLisper -I%GECKO_SDK%idl/ xpcom/src/IKamenLisper.idl
if not %ERRORLEVEL%==0 goto G1102
:G1116
if not exist build/xpcom/moz/ mkdir build\xpcom\moz\
echo Making build/xpcom/moz/xpcjsid.h
echo.
if not exist build/xpcom/moz/xpcjsid.h goto G1117
for /F %%a in ('xcopy /L /D /Y xpcom\moz\xpcjsid.idl build\xpcom\moz\xpcjsid.h ^| findstr /L "xpcom\moz\xpcjsid.idl"') do goto G1117
goto G1118
:G1117
set rebuild=1
set currmake=build/xpcom/moz/xpcjsid.h
xpidl -m header -o build/xpcom/moz/xpcjsid -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/xpcjsid.idl
if not %ERRORLEVEL%==0 goto G1102
:G1118
echo Making build/xpcom/moz/xpcexception.h
echo.
if not exist build/xpcom/moz/xpcexception.h goto G1119
for /F %%a in ('xcopy /L /D /Y xpcom\moz\xpcexception.idl build\xpcom\moz\xpcexception.h ^| findstr /L "xpcom\moz\xpcexception.idl"') do goto G1119
goto G1120
:G1119
set rebuild=1
set currmake=build/xpcom/moz/xpcexception.h
xpidl -m header -o build/xpcom/moz/xpcexception -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/xpcexception.idl
if not %ERRORLEVEL%==0 goto G1102
:G1120
echo Making build/xpcom/moz/xpccomponents.h
echo.
if not exist build/xpcom/moz/xpccomponents.h goto G1121
for /F %%a in ('xcopy /L /D /Y xpcom\moz\xpccomponents.idl build\xpcom\moz\xpccomponents.h ^| findstr /L "xpcom\moz\xpccomponents.idl"') do goto G1121
goto G1122
:G1121
set rebuild=1
set currmake=build/xpcom/moz/xpccomponents.h
xpidl -m header -o build/xpcom/moz/xpccomponents -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/xpccomponents.idl
if not %ERRORLEVEL%==0 goto G1102
:G1122
echo Making build/xpcom/moz/nsIXPCScriptable.h
echo.
if not exist build/xpcom/moz/nsIXPCScriptable.h goto G1123
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIXPCScriptable.idl build\xpcom\moz\nsIXPCScriptable.h ^| findstr /L "xpcom\moz\nsIXPCScriptable.idl"') do goto G1123
goto G1124
:G1123
set rebuild=1
set currmake=build/xpcom/moz/nsIXPCScriptable.h
xpidl -m header -o build/xpcom/moz/nsIXPCScriptable -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIXPCScriptable.idl
if not %ERRORLEVEL%==0 goto G1102
:G1124
echo Making build/xpcom/moz/nsIXPConnect.h
echo.
if not exist build/xpcom/moz/nsIXPConnect.h goto G1125
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIXPConnect.idl build\xpcom\moz\nsIXPConnect.h ^| findstr /L "xpcom\moz\nsIXPConnect.idl"') do goto G1125
goto G1126
:G1125
set rebuild=1
set currmake=build/xpcom/moz/nsIXPConnect.h
xpidl -m header -o build/xpcom/moz/nsIXPConnect -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIXPConnect.idl
if not %ERRORLEVEL%==0 goto G1102
:G1126
echo Making build/xpcom/moz/nsIWindowMediator.h
echo.
if not exist build/xpcom/moz/nsIWindowMediator.h goto G1127
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIWindowMediator.idl build\xpcom\moz\nsIWindowMediator.h ^| findstr /L "xpcom\moz\nsIWindowMediator.idl"') do goto G1127
goto G1128
:G1127
set rebuild=1
set currmake=build/xpcom/moz/nsIWindowMediator.h
xpidl -m header -o build/xpcom/moz/nsIWindowMediator -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIWindowMediator.idl
if not %ERRORLEVEL%==0 goto G1102
:G1128
echo Making build/xpcom/moz/nsIVariant.h
echo.
if not exist build/xpcom/moz/nsIVariant.h goto G1129
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIVariant.idl build\xpcom\moz\nsIVariant.h ^| findstr /L "xpcom\moz\nsIVariant.idl"') do goto G1129
goto G1130
:G1129
set rebuild=1
set currmake=build/xpcom/moz/nsIVariant.h
xpidl -m header -o build/xpcom/moz/nsIVariant -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIVariant.idl
if not %ERRORLEVEL%==0 goto G1102
:G1130
echo Making build/xpcom/moz/nsIScriptableInterfaces.h
echo.
if not exist build/xpcom/moz/nsIScriptableInterfaces.h goto G1131
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIScriptableInterfaces.idl build\xpcom\moz\nsIScriptableInterfaces.h ^| findstr /L "xpcom\moz\nsIScriptableInterfaces.idl"') do goto G1131
goto G1132
:G1131
set rebuild=1
set currmake=build/xpcom/moz/nsIScriptableInterfaces.h
xpidl -m header -o build/xpcom/moz/nsIScriptableInterfaces -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIScriptableInterfaces.idl
if not %ERRORLEVEL%==0 goto G1102
:G1132
echo Making build/xpcom/moz/nsIPrefBranch.h
echo.
if not exist build/xpcom/moz/nsIPrefBranch.h goto G1133
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIPrefBranch.idl build\xpcom\moz\nsIPrefBranch.h ^| findstr /L "xpcom\moz\nsIPrefBranch.idl"') do goto G1133
goto G1134
:G1133
set rebuild=1
set currmake=build/xpcom/moz/nsIPrefBranch.h
xpidl -m header -o build/xpcom/moz/nsIPrefBranch -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIPrefBranch.idl
if not %ERRORLEVEL%==0 goto G1102
:G1134
echo Making build/xpcom/moz/nsIJSRuntimeService.h
echo.
if not exist build/xpcom/moz/nsIJSRuntimeService.h goto G1135
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIJSRuntimeService.idl build\xpcom\moz\nsIJSRuntimeService.h ^| findstr /L "xpcom\moz\nsIJSRuntimeService.idl"') do goto G1135
goto G1136
:G1135
set rebuild=1
set currmake=build/xpcom/moz/nsIJSRuntimeService.h
xpidl -m header -o build/xpcom/moz/nsIJSRuntimeService -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIJSRuntimeService.idl
if not %ERRORLEVEL%==0 goto G1102
:G1136
echo Making build/xpcom/moz/nsIJSContextStack.h
echo.
if not exist build/xpcom/moz/nsIJSContextStack.h goto G1137
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIJSContextStack.idl build\xpcom\moz\nsIJSContextStack.h ^| findstr /L "xpcom\moz\nsIJSContextStack.idl"') do goto G1137
goto G1138
:G1137
set rebuild=1
set currmake=build/xpcom/moz/nsIJSContextStack.h
xpidl -m header -o build/xpcom/moz/nsIJSContextStack -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIJSContextStack.idl
if not %ERRORLEVEL%==0 goto G1102
:G1138
echo Making build/xpcom/moz/nsIInterfaceInfoManager.h
echo.
if not exist build/xpcom/moz/nsIInterfaceInfoManager.h goto G1139
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIInterfaceInfoManager.idl build\xpcom\moz\nsIInterfaceInfoManager.h ^| findstr /L "xpcom\moz\nsIInterfaceInfoManager.idl"') do goto G1139
goto G1140
:G1139
set rebuild=1
set currmake=build/xpcom/moz/nsIInterfaceInfoManager.h
xpidl -m header -o build/xpcom/moz/nsIInterfaceInfoManager -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIInterfaceInfoManager.idl
if not %ERRORLEVEL%==0 goto G1102
:G1140
echo Making build/xpcom/moz/nsIInterfaceInfo.h
echo.
if not exist build/xpcom/moz/nsIInterfaceInfo.h goto G1141
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIInterfaceInfo.idl build\xpcom\moz\nsIInterfaceInfo.h ^| findstr /L "xpcom\moz\nsIInterfaceInfo.idl"') do goto G1141
goto G1142
:G1141
set rebuild=1
set currmake=build/xpcom/moz/nsIInterfaceInfo.h
xpidl -m header -o build/xpcom/moz/nsIInterfaceInfo -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIInterfaceInfo.idl
if not %ERRORLEVEL%==0 goto G1102
:G1142
echo Making build/xpcom/moz/nsIExtensionManager.h
echo.
if not exist build/xpcom/moz/nsIExtensionManager.h goto G1143
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIExtensionManager.idl build\xpcom\moz\nsIExtensionManager.h ^| findstr /L "xpcom\moz\nsIExtensionManager.idl"') do goto G1143
goto G1144
:G1143
set rebuild=1
set currmake=build/xpcom/moz/nsIExtensionManager.h
xpidl -m header -o build/xpcom/moz/nsIExtensionManager -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIExtensionManager.idl
if not %ERRORLEVEL%==0 goto G1102
:G1144
echo Making build/xpcom/moz/nsIExceptionService.h
echo.
if not exist build/xpcom/moz/nsIExceptionService.h goto G1145
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIExceptionService.idl build\xpcom\moz\nsIExceptionService.h ^| findstr /L "xpcom\moz\nsIExceptionService.idl"') do goto G1145
goto G1146
:G1145
set rebuild=1
set currmake=build/xpcom/moz/nsIExceptionService.h
xpidl -m header -o build/xpcom/moz/nsIExceptionService -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIExceptionService.idl
if not %ERRORLEVEL%==0 goto G1102
:G1146
echo Making build/xpcom/moz/nsIException.h
echo.
if not exist build/xpcom/moz/nsIException.h goto G1147
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIException.idl build\xpcom\moz\nsIException.h ^| findstr /L "xpcom\moz\nsIException.idl"') do goto G1147
goto G1148
:G1147
set rebuild=1
set currmake=build/xpcom/moz/nsIException.h
xpidl -m header -o build/xpcom/moz/nsIException -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIException.idl
if not %ERRORLEVEL%==0 goto G1102
:G1148
echo Making build/xpcom/moz/nsIErrorService.h
echo.
if not exist build/xpcom/moz/nsIErrorService.h goto G1149
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIErrorService.idl build\xpcom\moz\nsIErrorService.h ^| findstr /L "xpcom\moz\nsIErrorService.idl"') do goto G1149
goto G1150
:G1149
set rebuild=1
set currmake=build/xpcom/moz/nsIErrorService.h
xpidl -m header -o build/xpcom/moz/nsIErrorService -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIErrorService.idl
if not %ERRORLEVEL%==0 goto G1102
:G1150
echo Making build/xpcom/moz/nsIEnumerator.h
echo.
if not exist build/xpcom/moz/nsIEnumerator.h goto G1151
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIEnumerator.idl build\xpcom\moz\nsIEnumerator.h ^| findstr /L "xpcom\moz\nsIEnumerator.idl"') do goto G1151
goto G1152
:G1151
set rebuild=1
set currmake=build/xpcom/moz/nsIEnumerator.h
xpidl -m header -o build/xpcom/moz/nsIEnumerator -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIEnumerator.idl
if not %ERRORLEVEL%==0 goto G1102
:G1152
echo Making build/xpcom/moz/nsIDOMXULDocument.h
echo.
if not exist build/xpcom/moz/nsIDOMXULDocument.h goto G1153
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIDOMXULDocument.idl build\xpcom\moz\nsIDOMXULDocument.h ^| findstr /L "xpcom\moz\nsIDOMXULDocument.idl"') do goto G1153
goto G1154
:G1153
set rebuild=1
set currmake=build/xpcom/moz/nsIDOMXULDocument.h
xpidl -m header -o build/xpcom/moz/nsIDOMXULDocument -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIDOMXULDocument.idl
if not %ERRORLEVEL%==0 goto G1102
:G1154
echo Making build/xpcom/moz/nsIDOMXULCommandDispatcher.h
echo.
if not exist build/xpcom/moz/nsIDOMXULCommandDispatcher.h goto G1155
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIDOMXULCommandDispatcher.idl build\xpcom\moz\nsIDOMXULCommandDispatcher.h ^| findstr /L "xpcom\moz\nsIDOMXULCommandDispatcher.idl"') do goto G1155
goto G1156
:G1155
set rebuild=1
set currmake=build/xpcom/moz/nsIDOMXULCommandDispatcher.h
xpidl -m header -o build/xpcom/moz/nsIDOMXULCommandDispatcher -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIDOMXULCommandDispatcher.idl
if not %ERRORLEVEL%==0 goto G1102
:G1156
echo Making build/xpcom/moz/nsIDOMWindowInternal.h
echo.
if not exist build/xpcom/moz/nsIDOMWindowInternal.h goto G1157
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIDOMWindowInternal.idl build\xpcom\moz\nsIDOMWindowInternal.h ^| findstr /L "xpcom\moz\nsIDOMWindowInternal.idl"') do goto G1157
goto G1158
:G1157
set rebuild=1
set currmake=build/xpcom/moz/nsIDOMWindowInternal.h
xpidl -m header -o build/xpcom/moz/nsIDOMWindowInternal -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIDOMWindowInternal.idl
if not %ERRORLEVEL%==0 goto G1102
:G1158
echo Making build/xpcom/moz/nsIDOMWindow.h
echo.
if not exist build/xpcom/moz/nsIDOMWindow.h goto G1159
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIDOMWindow.idl build\xpcom\moz\nsIDOMWindow.h ^| findstr /L "xpcom\moz\nsIDOMWindow.idl"') do goto G1159
goto G1160
:G1159
set rebuild=1
set currmake=build/xpcom/moz/nsIDOMWindow.h
xpidl -m header -o build/xpcom/moz/nsIDOMWindow -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIDOMWindow.idl
if not %ERRORLEVEL%==0 goto G1102
:G1160
echo Making build/xpcom/moz/nsIDOMNSHTMLElement.h
echo.
if not exist build/xpcom/moz/nsIDOMNSHTMLElement.h goto G1161
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIDOMNSHTMLElement.idl build\xpcom\moz\nsIDOMNSHTMLElement.h ^| findstr /L "xpcom\moz\nsIDOMNSHTMLElement.idl"') do goto G1161
goto G1162
:G1161
set rebuild=1
set currmake=build/xpcom/moz/nsIDOMNSHTMLElement.h
xpidl -m header -o build/xpcom/moz/nsIDOMNSHTMLElement -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIDOMNSHTMLElement.idl
if not %ERRORLEVEL%==0 goto G1102
:G1162
echo Making build/xpcom/moz/nsIDOMHTMLInputElement.h
echo.
if not exist build/xpcom/moz/nsIDOMHTMLInputElement.h goto G1163
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIDOMHTMLInputElement.idl build\xpcom\moz\nsIDOMHTMLInputElement.h ^| findstr /L "xpcom\moz\nsIDOMHTMLInputElement.idl"') do goto G1163
goto G1164
:G1163
set rebuild=1
set currmake=build/xpcom/moz/nsIDOMHTMLInputElement.h
xpidl -m header -o build/xpcom/moz/nsIDOMHTMLInputElement -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIDOMHTMLInputElement.idl
if not %ERRORLEVEL%==0 goto G1102
:G1164
echo Making build/xpcom/moz/nsIDOMHTMLElement.h
echo.
if not exist build/xpcom/moz/nsIDOMHTMLElement.h goto G1165
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIDOMHTMLElement.idl build\xpcom\moz\nsIDOMHTMLElement.h ^| findstr /L "xpcom\moz\nsIDOMHTMLElement.idl"') do goto G1165
goto G1166
:G1165
set rebuild=1
set currmake=build/xpcom/moz/nsIDOMHTMLElement.h
xpidl -m header -o build/xpcom/moz/nsIDOMHTMLElement -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIDOMHTMLElement.idl
if not %ERRORLEVEL%==0 goto G1102
:G1166
echo Making build/xpcom/moz/nsIDOMElement.h
echo.
if not exist build/xpcom/moz/nsIDOMElement.h goto G1167
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIDOMElement.idl build\xpcom\moz\nsIDOMElement.h ^| findstr /L "xpcom\moz\nsIDOMElement.idl"') do goto G1167
goto G1168
:G1167
set rebuild=1
set currmake=build/xpcom/moz/nsIDOMElement.h
xpidl -m header -o build/xpcom/moz/nsIDOMElement -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIDOMElement.idl
if not %ERRORLEVEL%==0 goto G1102
:G1168
echo Making build/xpcom/moz/nsIDOMDocument.h
echo.
if not exist build/xpcom/moz/nsIDOMDocument.h goto G1169
for /F %%a in ('xcopy /L /D /Y xpcom\moz\nsIDOMDocument.idl build\xpcom\moz\nsIDOMDocument.h ^| findstr /L "xpcom\moz\nsIDOMDocument.idl"') do goto G1169
goto G1170
:G1169
set rebuild=1
set currmake=build/xpcom/moz/nsIDOMDocument.h
xpidl -m header -o build/xpcom/moz/nsIDOMDocument -I%GECKO_SDK%idl/ -Ixpcom/moz/ xpcom/moz/nsIDOMDocument.idl
if not %ERRORLEVEL%==0 goto G1102
:G1170
if not exist build/common/ mkdir build\common\
echo Making build/common/marshalling.obj
echo.
if not exist build/common/marshalling.obj goto G1171
for /F %%a in ('xcopy /L /D /Y common\marshalling.cpp build\common\marshalling.obj ^| findstr /L "common\marshalling.cpp"') do goto G1171
goto G1172
:G1171
set rebuild=1
set currmake=build/common/marshalling.obj
cl /c common/marshalling.cpp /Fobuild/common/marshalling.obj
if not %ERRORLEVEL%==0 goto G1102
:G1172
echo Making build/xpcom/src/KamenRettsuGo.obj
echo.
if not exist build/xpcom/src/KamenRettsuGo.obj goto G1173
for /F %%a in ('xcopy /L /D /Y xpcom\src\KamenRettsuGo.cpp build\xpcom\src\KamenRettsuGo.obj ^| findstr /L "xpcom\src\KamenRettsuGo.cpp"') do goto G1173
goto G1174
:G1173
set rebuild=1
set currmake=build/xpcom/src/KamenRettsuGo.obj
cl /c xpcom/src/KamenRettsuGo.cpp /D XP_WIN /Fobuild/xpcom/src/KamenRettsuGo.obj /I build/xpcom/src/ /I build/xpcom/moz/ /I xpcom/moz/ /I %GECKO_SDK%include/ /I %FIREFOX_SOURCE%xpcom/string/public/ /I %FIREFOX_SOURCE%js/src/
if not %ERRORLEVEL%==0 goto G1102
:G1174
echo Making build/xpcom/src/KamenRettsuGoModule.obj
echo.
if not exist build/xpcom/src/KamenRettsuGoModule.obj goto G1175
for /F %%a in ('xcopy /L /D /Y xpcom\src\KamenRettsuGoModule.cpp build\xpcom\src\KamenRettsuGoModule.obj ^| findstr /L "xpcom\src\KamenRettsuGoModule.cpp"') do goto G1175
goto G1176
:G1175
set rebuild=1
set currmake=build/xpcom/src/KamenRettsuGoModule.obj
cl /c xpcom/src/KamenRettsuGoModule.cpp /D XP_WIN /Fobuild/xpcom/src/KamenRettsuGoModule.obj /I build/xpcom/src/ /I build/xpcom/moz/ /I xpcom/moz/ /I %GECKO_SDK%include/ /I %FIREFOX_SOURCE%xpcom/string/public/ /I %FIREFOX_SOURCE%js/src/
if not %ERRORLEVEL%==0 goto G1102
:G1176
echo Making build/xpcom/src/SaruNoKumo.obj
echo.
if not exist build/xpcom/src/SaruNoKumo.obj goto G1177
for /F %%a in ('xcopy /L /D /Y xpcom\src\SaruNoKumo.cpp build\xpcom\src\SaruNoKumo.obj ^| findstr /L "xpcom\src\SaruNoKumo.cpp"') do goto G1177
goto G1178
:G1177
set rebuild=1
set currmake=build/xpcom/src/SaruNoKumo.obj
cl /c xpcom/src/SaruNoKumo.cpp /D XP_WIN /Fobuild/xpcom/src/SaruNoKumo.obj /I build/xpcom/src/ /I build/xpcom/moz/ /I xpcom/moz/ /I %GECKO_SDK%include/ /I %FIREFOX_SOURCE%xpcom/string/public/ /I %FIREFOX_SOURCE%js/src/
if not %ERRORLEVEL%==0 goto G1102
:G1178
echo Making build/xpcom/src/IKamenLisper.xpt
echo.
if not exist build/xpcom/src/IKamenLisper.xpt goto G1179
for /F %%a in ('xcopy /L /D /Y xpcom\src\IKamenLisper.idl build\xpcom\src\IKamenLisper.xpt ^| findstr /L "xpcom\src\IKamenLisper.idl"') do goto G1179
goto G1180
:G1179
set rebuild=1
set currmake=build/xpcom/src/IKamenLisper.xpt
xpidl -m typelib -o build/xpcom/src/IKamenLisper -I%GECKO_SDK%idl/ xpcom/src/IKamenLisper.idl
if not %ERRORLEVEL%==0 goto G1102
:G1180
if not exist build/js/ mkdir build\js\
:G1183
if "%rule%" == "nojar" goto G1184
echo Making build/js/kamen.jar
echo.
if not exist build/js/kamen.jar goto G1182
for /F %%a in ('xcopy /L /D /Y js\content\config.js build\js\kamen.jar ^| findstr /L "js\content\config.js"') do goto G1182
for /F %%a in ('xcopy /L /D /Y js\content\config.xul build\js\kamen.jar ^| findstr /L "js\content\config.xul"') do goto G1182
for /F %%a in ('xcopy /L /D /Y js\content\kamen.js build\js\kamen.jar ^| findstr /L "js\content\kamen.js"') do goto G1182
for /F %%a in ('xcopy /L /D /Y js\content\kamen.xul build\js\kamen.jar ^| findstr /L "js\content\kamen.xul"') do goto G1182
for /F %%a in ('xcopy /L /D /Y js\content\permissions.js build\js\kamen.jar ^| findstr /L "js\content\permissions.js"') do goto G1182
for /F %%a in ('xcopy /L /D /Y js\content\showmsg.js build\js\kamen.jar ^| findstr /L "js\content\showmsg.js"') do goto G1182
for /F %%a in ('xcopy /L /D /Y js\content\utils.js build\js\kamen.jar ^| findstr /L "js\content\utils.js"') do goto G1182
for /F %%a in ('xcopy /L /D /Y js\locale\en-US\kamen.dtd build\js\kamen.jar ^| findstr /L "js\locale\en-US\kamen.dtd"') do goto G1182
for /F %%a in ('xcopy /L /D /Y js\skin\config.css build\js\kamen.jar ^| findstr /L "js\skin\config.css"') do goto G1182
for /F %%a in ('xcopy /L /D /Y js\skin\kamen.css build\js\kamen.jar ^| findstr /L "js\skin\kamen.css"') do goto G1182
for /F %%a in ('xcopy /L /D /Y js\skin\kamen.png build\js\kamen.jar ^| findstr /L "js\skin\kamen.png"') do goto G1182
goto G1181
:G1182
set rebuild=1
set currmake=build/js/kamen.jar
cd js/
7z a -tzip ../build/js/kamen.jar * -r -mx=0 -x!CVS
cd ../
if not %ERRORLEVEL%==0 goto G1102
goto G1181
:G1184
if exist build/js/ rmdir /S /Q build\js\
mkdir build\js\
mkdir build\js\kamen\
xcopy /d /e js\* build\js\kamen\.
:G1181
:G1186
echo Making build/xpcom/src/KamenRettsuGo.dll
echo.
if not exist build/xpcom/src/KamenRettsuGo.dll goto G1187
for /F %%a in ('xcopy /L /D /Y build\xpcom\src\KamenRettsuGo.obj build\xpcom\src\KamenRettsuGo.dll ^| findstr /L "build\xpcom\src\KamenRettsuGo.obj"') do goto G1187
for /F %%a in ('xcopy /L /D /Y build\xpcom\src\KamenRettsuGoModule.obj build\xpcom\src\KamenRettsuGo.dll ^| findstr /L "build\xpcom\src\KamenRettsuGoModule.obj"') do goto G1187
for /F %%a in ('xcopy /L /D /Y build\xpcom\src\SaruNoKumo.obj build\xpcom\src\KamenRettsuGo.dll ^| findstr /L "build\xpcom\src\SaruNoKumo.obj"') do goto G1187
for /F %%a in ('xcopy /L /D /Y build\common\marshalling.obj build\xpcom\src\KamenRettsuGo.dll ^| findstr /L "build\common\marshalling.obj"') do goto G1187
goto G1188
:G1187
set rebuild=1
set currmake=build/xpcom/src/KamenRettsuGo.dll
link build/xpcom/src/KamenRettsuGo.obj build/xpcom/src/KamenRettsuGoModule.obj build/xpcom/src/SaruNoKumo.obj build/common/marshalling.obj user32.lib xpcom.lib xpcomglue_s.lib nspr4.lib /NODEFAULTLIB:library /dll  /implib:build/xpcom/src/KamenRettsuGo.lib /out:build/xpcom/src/KamenRettsuGo.dll /libpath:%GECKO_SDK%lib/
if not %ERRORLEVEL%==0 goto G1102
:G1188
if not exist build/glue/ mkdir build\glue\
if not exist build/glue/src/ mkdir build\glue\src\
echo Making build/glue/src/henshin.obj
echo.
if not exist build/glue/src/henshin.obj goto G1189
for /F %%a in ('xcopy /L /D /Y glue\src\henshin.cpp build\glue\src\henshin.obj ^| findstr /L "glue\src\henshin.cpp"') do goto G1189
goto G1190
:G1189
set rebuild=1
set currmake=build/glue/src/henshin.obj
cl /c glue/src/henshin.cpp /Fobuild/glue/src/henshin.obj /I %ECL_PATH%
if not %ERRORLEVEL%==0 goto G1102
:G1190
:G1191
echo Making build/glue/src/henshin.dll
echo.
if not exist build/glue/src/henshin.dll goto G1192
for /F %%a in ('xcopy /L /D /Y build\glue\src\henshin.obj build\glue\src\henshin.dll ^| findstr /L "build\glue\src\henshin.obj"') do goto G1192
for /F %%a in ('xcopy /L /D /Y build\common\marshalling.obj build\glue\src\henshin.dll ^| findstr /L "build\common\marshalling.obj"') do goto G1192
goto G1193
:G1192
set rebuild=1
set currmake=build/glue/src/henshin.dll
link build/glue/src/henshin.obj build/common/marshalling.obj ecl.lib /NODEFAULTLIB:library /dll  /implib:build/xpcom/src/KamenRettsuGo.lib /def:glue/src/henshin.def /out:build/glue/src/henshin.dll /libpath:%ECL_PATH%
if not %ERRORLEVEL%==0 goto G1102
:G1193
:G1196
echo Making build/kamen.xpi
echo.
if not exist build/kamen.xpi goto G1195
goto G1194
:G1195
set rebuild=1
set currmake=build/kamen.xpi
if exist build/xpi/ rmdir /S /Q build\xpi\
mkdir build\xpi\
mkdir build\xpi\chrome\
mkdir build\xpi\components\
mkdir build\xpi\defaults\
mkdir build\xpi\defaults\preferences\
echo Copying build/xpi/chrome/kamen.jar
xcopy /d /e build\js\* build\xpi\chrome\.
echo Copying build/xpi/defaults/preferences/prefs.js
copy defaults\preferences\prefs.js build\xpi\defaults\preferences\prefs.js
echo Copying build/xpi/components/IKamenLisper.xpt
copy build\xpcom\src\IKamenLisper.xpt build\xpi\components\IKamenLisper.xpt
echo Copying build/xpi/components/KamenRettsuGo.dll
copy build\xpcom\src\KamenRettsuGo.dll build\xpi\components\KamenRettsuGo.dll
echo Copying build/xpi/components/henshin.dll
copy build\glue\src\henshin.dll build\xpi\components\henshin.dll
echo Copying build/xpi/components/ecl.dll
copy %ECL_PATH%ecl.dll build\xpi\components\ecl.dll
xcopy /d /e meta\components\* build\xpi\components\.
if "%rule%" == "jar" goto G1197
if "%rule%" == "nojar" goto G1198
if "%rule%" == "addon" goto G1199
goto G1102
:G1197
xcopy /d /e meta\jar\* build\xpi\.
cd build/xpi/
7z a -tzip ../kamen_jar.xpi * -r -mx=9
cd ../../
goto G1200
:G1198
xcopy /d /e meta\nojar\* build\xpi\.
cd build/xpi/
7z a -tzip ../kamen_nojar.xpi * -r -mx=9
cd ../../
goto G1200
:G1199
xcopy /d /e meta\addon\* build\xpi\.
cd build/xpi/
7z a -tzip ../kamen_addon.xpi * -r -mx=9
cd ../../
:G1200
if not %ERRORLEVEL%==0 goto G1102
:G1194
goto G1104
:G1102
set rebuild=1
echo *** FAILED making %currmake%
goto G1104
:G1103
set rebuild=1
echo *** FAILED: %errmsg%
:G1104
if %rebuild%==0 echo Nothing to rebuild
