#!/bin/sh
ip=1689
while [ 1 ]; do
case $ip in
1689)
echo ${1} | grep "="
if [ $? -eq 0 ]; then
eval ${1}
else
rule=${1}
fi
echo ${2} | grep "="
if [ $? -eq 0 ]; then
eval ${2}
fi
echo ${3} | grep "="
if [ $? -eq 0 ]; then
eval ${3}
fi
if [ "${FIREFOX_SOURCE}" != "" ]; then
ip=1694
continue
fi
errmsg='Need to define FIREFOX_SOURCE'
ip=1691
continue
;;
1694)
if [ "${GECKO_SDK}" != "" ]; then
ip=1695
continue
fi
errmsg='Need to define GECKO_SDK'
ip=1691
continue
;;
1695)
if [ "${ECL_PATH}" != "" ]; then
ip=1696
continue
fi
errmsg='Need to define ECL_PATH'
ip=1691
continue
;;
1696)
errmsg='Need a build rule'
if [ "${rule}" = "" ]; then
ip=1691
continue
fi
echo Running rule [${rule}]
echo 
if [ ! -e build/ ]; then
mkdir build/
fi
if [ ! -e build/xpcom/ ]; then
mkdir build/xpcom/
fi
if [ ! -e build/xpcom/src/ ]; then
mkdir build/xpcom/src/
fi
echo Making build/xpcom/src/IKamenLisper.h
if [ ! -e build/xpcom/src/IKamenLisper.h ]; then
ip=1697
continue
fi
if [ "`ls -t xpcom/src/IKamenLisper.idl build/xpcom/src/IKamenLisper.h | sed 1q`" = "xpcom/src/IKamenLisper.idl" ]; then
ip=1697
continue
fi
ip=1698
continue
;;
1697)
rebuild=1
currmake=build/xpcom/src/IKamenLisper.h
xpidl -m header -o build/xpcom/src/IKamenLisper -I${GECKO_SDK}idl/ xpcom/src/IKamenLisper.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1698
continue
;;
1698)
if [ ! -e build/xpcom/moz/ ]; then
mkdir build/xpcom/moz/
fi
echo Making build/xpcom/moz/xpcjsid.h
if [ ! -e build/xpcom/moz/xpcjsid.h ]; then
ip=1699
continue
fi
if [ "`ls -t xpcom/moz/xpcjsid.idl build/xpcom/moz/xpcjsid.h | sed 1q`" = "xpcom/moz/xpcjsid.idl" ]; then
ip=1699
continue
fi
ip=1700
continue
;;
1699)
rebuild=1
currmake=build/xpcom/moz/xpcjsid.h
xpidl -m header -o build/xpcom/moz/xpcjsid -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/xpcjsid.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1700
continue
;;
1700)
echo Making build/xpcom/moz/xpcexception.h
if [ ! -e build/xpcom/moz/xpcexception.h ]; then
ip=1701
continue
fi
if [ "`ls -t xpcom/moz/xpcexception.idl build/xpcom/moz/xpcexception.h | sed 1q`" = "xpcom/moz/xpcexception.idl" ]; then
ip=1701
continue
fi
ip=1702
continue
;;
1701)
rebuild=1
currmake=build/xpcom/moz/xpcexception.h
xpidl -m header -o build/xpcom/moz/xpcexception -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/xpcexception.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1702
continue
;;
1702)
echo Making build/xpcom/moz/xpccomponents.h
if [ ! -e build/xpcom/moz/xpccomponents.h ]; then
ip=1703
continue
fi
if [ "`ls -t xpcom/moz/xpccomponents.idl build/xpcom/moz/xpccomponents.h | sed 1q`" = "xpcom/moz/xpccomponents.idl" ]; then
ip=1703
continue
fi
ip=1704
continue
;;
1703)
rebuild=1
currmake=build/xpcom/moz/xpccomponents.h
xpidl -m header -o build/xpcom/moz/xpccomponents -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/xpccomponents.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1704
continue
;;
1704)
echo Making build/xpcom/moz/nsIXPCScriptable.h
if [ ! -e build/xpcom/moz/nsIXPCScriptable.h ]; then
ip=1705
continue
fi
if [ "`ls -t xpcom/moz/nsIXPCScriptable.idl build/xpcom/moz/nsIXPCScriptable.h | sed 1q`" = "xpcom/moz/nsIXPCScriptable.idl" ]; then
ip=1705
continue
fi
ip=1706
continue
;;
1705)
rebuild=1
currmake=build/xpcom/moz/nsIXPCScriptable.h
xpidl -m header -o build/xpcom/moz/nsIXPCScriptable -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIXPCScriptable.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1706
continue
;;
1706)
echo Making build/xpcom/moz/nsIXPConnect.h
if [ ! -e build/xpcom/moz/nsIXPConnect.h ]; then
ip=1707
continue
fi
if [ "`ls -t xpcom/moz/nsIXPConnect.idl build/xpcom/moz/nsIXPConnect.h | sed 1q`" = "xpcom/moz/nsIXPConnect.idl" ]; then
ip=1707
continue
fi
ip=1708
continue
;;
1707)
rebuild=1
currmake=build/xpcom/moz/nsIXPConnect.h
xpidl -m header -o build/xpcom/moz/nsIXPConnect -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIXPConnect.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1708
continue
;;
1708)
echo Making build/xpcom/moz/nsIWindowMediator.h
if [ ! -e build/xpcom/moz/nsIWindowMediator.h ]; then
ip=1709
continue
fi
if [ "`ls -t xpcom/moz/nsIWindowMediator.idl build/xpcom/moz/nsIWindowMediator.h | sed 1q`" = "xpcom/moz/nsIWindowMediator.idl" ]; then
ip=1709
continue
fi
ip=1710
continue
;;
1709)
rebuild=1
currmake=build/xpcom/moz/nsIWindowMediator.h
xpidl -m header -o build/xpcom/moz/nsIWindowMediator -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIWindowMediator.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1710
continue
;;
1710)
echo Making build/xpcom/moz/nsIVariant.h
if [ ! -e build/xpcom/moz/nsIVariant.h ]; then
ip=1711
continue
fi
if [ "`ls -t xpcom/moz/nsIVariant.idl build/xpcom/moz/nsIVariant.h | sed 1q`" = "xpcom/moz/nsIVariant.idl" ]; then
ip=1711
continue
fi
ip=1712
continue
;;
1711)
rebuild=1
currmake=build/xpcom/moz/nsIVariant.h
xpidl -m header -o build/xpcom/moz/nsIVariant -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIVariant.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1712
continue
;;
1712)
echo Making build/xpcom/moz/nsIScriptableInterfaces.h
if [ ! -e build/xpcom/moz/nsIScriptableInterfaces.h ]; then
ip=1713
continue
fi
if [ "`ls -t xpcom/moz/nsIScriptableInterfaces.idl build/xpcom/moz/nsIScriptableInterfaces.h | sed 1q`" = "xpcom/moz/nsIScriptableInterfaces.idl" ]; then
ip=1713
continue
fi
ip=1714
continue
;;
1713)
rebuild=1
currmake=build/xpcom/moz/nsIScriptableInterfaces.h
xpidl -m header -o build/xpcom/moz/nsIScriptableInterfaces -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIScriptableInterfaces.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1714
continue
;;
1714)
echo Making build/xpcom/moz/nsIPrefBranch.h
if [ ! -e build/xpcom/moz/nsIPrefBranch.h ]; then
ip=1715
continue
fi
if [ "`ls -t xpcom/moz/nsIPrefBranch.idl build/xpcom/moz/nsIPrefBranch.h | sed 1q`" = "xpcom/moz/nsIPrefBranch.idl" ]; then
ip=1715
continue
fi
ip=1716
continue
;;
1715)
rebuild=1
currmake=build/xpcom/moz/nsIPrefBranch.h
xpidl -m header -o build/xpcom/moz/nsIPrefBranch -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIPrefBranch.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1716
continue
;;
1716)
echo Making build/xpcom/moz/nsIJSRuntimeService.h
if [ ! -e build/xpcom/moz/nsIJSRuntimeService.h ]; then
ip=1717
continue
fi
if [ "`ls -t xpcom/moz/nsIJSRuntimeService.idl build/xpcom/moz/nsIJSRuntimeService.h | sed 1q`" = "xpcom/moz/nsIJSRuntimeService.idl" ]; then
ip=1717
continue
fi
ip=1718
continue
;;
1717)
rebuild=1
currmake=build/xpcom/moz/nsIJSRuntimeService.h
xpidl -m header -o build/xpcom/moz/nsIJSRuntimeService -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIJSRuntimeService.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1718
continue
;;
1718)
echo Making build/xpcom/moz/nsIJSContextStack.h
if [ ! -e build/xpcom/moz/nsIJSContextStack.h ]; then
ip=1719
continue
fi
if [ "`ls -t xpcom/moz/nsIJSContextStack.idl build/xpcom/moz/nsIJSContextStack.h | sed 1q`" = "xpcom/moz/nsIJSContextStack.idl" ]; then
ip=1719
continue
fi
ip=1720
continue
;;
1719)
rebuild=1
currmake=build/xpcom/moz/nsIJSContextStack.h
xpidl -m header -o build/xpcom/moz/nsIJSContextStack -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIJSContextStack.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1720
continue
;;
1720)
echo Making build/xpcom/moz/nsIInterfaceInfoManager.h
if [ ! -e build/xpcom/moz/nsIInterfaceInfoManager.h ]; then
ip=1721
continue
fi
if [ "`ls -t xpcom/moz/nsIInterfaceInfoManager.idl build/xpcom/moz/nsIInterfaceInfoManager.h | sed 1q`" = "xpcom/moz/nsIInterfaceInfoManager.idl" ]; then
ip=1721
continue
fi
ip=1722
continue
;;
1721)
rebuild=1
currmake=build/xpcom/moz/nsIInterfaceInfoManager.h
xpidl -m header -o build/xpcom/moz/nsIInterfaceInfoManager -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIInterfaceInfoManager.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1722
continue
;;
1722)
echo Making build/xpcom/moz/nsIInterfaceInfo.h
if [ ! -e build/xpcom/moz/nsIInterfaceInfo.h ]; then
ip=1723
continue
fi
if [ "`ls -t xpcom/moz/nsIInterfaceInfo.idl build/xpcom/moz/nsIInterfaceInfo.h | sed 1q`" = "xpcom/moz/nsIInterfaceInfo.idl" ]; then
ip=1723
continue
fi
ip=1724
continue
;;
1723)
rebuild=1
currmake=build/xpcom/moz/nsIInterfaceInfo.h
xpidl -m header -o build/xpcom/moz/nsIInterfaceInfo -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIInterfaceInfo.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1724
continue
;;
1724)
echo Making build/xpcom/moz/nsIExtensionManager.h
if [ ! -e build/xpcom/moz/nsIExtensionManager.h ]; then
ip=1725
continue
fi
if [ "`ls -t xpcom/moz/nsIExtensionManager.idl build/xpcom/moz/nsIExtensionManager.h | sed 1q`" = "xpcom/moz/nsIExtensionManager.idl" ]; then
ip=1725
continue
fi
ip=1726
continue
;;
1725)
rebuild=1
currmake=build/xpcom/moz/nsIExtensionManager.h
xpidl -m header -o build/xpcom/moz/nsIExtensionManager -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIExtensionManager.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1726
continue
;;
1726)
echo Making build/xpcom/moz/nsIExceptionService.h
if [ ! -e build/xpcom/moz/nsIExceptionService.h ]; then
ip=1727
continue
fi
if [ "`ls -t xpcom/moz/nsIExceptionService.idl build/xpcom/moz/nsIExceptionService.h | sed 1q`" = "xpcom/moz/nsIExceptionService.idl" ]; then
ip=1727
continue
fi
ip=1728
continue
;;
1727)
rebuild=1
currmake=build/xpcom/moz/nsIExceptionService.h
xpidl -m header -o build/xpcom/moz/nsIExceptionService -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIExceptionService.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1728
continue
;;
1728)
echo Making build/xpcom/moz/nsIException.h
if [ ! -e build/xpcom/moz/nsIException.h ]; then
ip=1729
continue
fi
if [ "`ls -t xpcom/moz/nsIException.idl build/xpcom/moz/nsIException.h | sed 1q`" = "xpcom/moz/nsIException.idl" ]; then
ip=1729
continue
fi
ip=1730
continue
;;
1729)
rebuild=1
currmake=build/xpcom/moz/nsIException.h
xpidl -m header -o build/xpcom/moz/nsIException -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIException.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1730
continue
;;
1730)
echo Making build/xpcom/moz/nsIErrorService.h
if [ ! -e build/xpcom/moz/nsIErrorService.h ]; then
ip=1731
continue
fi
if [ "`ls -t xpcom/moz/nsIErrorService.idl build/xpcom/moz/nsIErrorService.h | sed 1q`" = "xpcom/moz/nsIErrorService.idl" ]; then
ip=1731
continue
fi
ip=1732
continue
;;
1731)
rebuild=1
currmake=build/xpcom/moz/nsIErrorService.h
xpidl -m header -o build/xpcom/moz/nsIErrorService -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIErrorService.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1732
continue
;;
1732)
echo Making build/xpcom/moz/nsIEnumerator.h
if [ ! -e build/xpcom/moz/nsIEnumerator.h ]; then
ip=1733
continue
fi
if [ "`ls -t xpcom/moz/nsIEnumerator.idl build/xpcom/moz/nsIEnumerator.h | sed 1q`" = "xpcom/moz/nsIEnumerator.idl" ]; then
ip=1733
continue
fi
ip=1734
continue
;;
1733)
rebuild=1
currmake=build/xpcom/moz/nsIEnumerator.h
xpidl -m header -o build/xpcom/moz/nsIEnumerator -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIEnumerator.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1734
continue
;;
1734)
echo Making build/xpcom/moz/nsIDOMXULDocument.h
if [ ! -e build/xpcom/moz/nsIDOMXULDocument.h ]; then
ip=1735
continue
fi
if [ "`ls -t xpcom/moz/nsIDOMXULDocument.idl build/xpcom/moz/nsIDOMXULDocument.h | sed 1q`" = "xpcom/moz/nsIDOMXULDocument.idl" ]; then
ip=1735
continue
fi
ip=1736
continue
;;
1735)
rebuild=1
currmake=build/xpcom/moz/nsIDOMXULDocument.h
xpidl -m header -o build/xpcom/moz/nsIDOMXULDocument -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIDOMXULDocument.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1736
continue
;;
1736)
echo Making build/xpcom/moz/nsIDOMXULCommandDispatcher.h
if [ ! -e build/xpcom/moz/nsIDOMXULCommandDispatcher.h ]; then
ip=1737
continue
fi
if [ "`ls -t xpcom/moz/nsIDOMXULCommandDispatcher.idl build/xpcom/moz/nsIDOMXULCommandDispatcher.h | sed 1q`" = "xpcom/moz/nsIDOMXULCommandDispatcher.idl" ]; then
ip=1737
continue
fi
ip=1738
continue
;;
1737)
rebuild=1
currmake=build/xpcom/moz/nsIDOMXULCommandDispatcher.h
xpidl -m header -o build/xpcom/moz/nsIDOMXULCommandDispatcher -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIDOMXULCommandDispatcher.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1738
continue
;;
1738)
echo Making build/xpcom/moz/nsIDOMWindowInternal.h
if [ ! -e build/xpcom/moz/nsIDOMWindowInternal.h ]; then
ip=1739
continue
fi
if [ "`ls -t xpcom/moz/nsIDOMWindowInternal.idl build/xpcom/moz/nsIDOMWindowInternal.h | sed 1q`" = "xpcom/moz/nsIDOMWindowInternal.idl" ]; then
ip=1739
continue
fi
ip=1740
continue
;;
1739)
rebuild=1
currmake=build/xpcom/moz/nsIDOMWindowInternal.h
xpidl -m header -o build/xpcom/moz/nsIDOMWindowInternal -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIDOMWindowInternal.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1740
continue
;;
1740)
echo Making build/xpcom/moz/nsIDOMWindow.h
if [ ! -e build/xpcom/moz/nsIDOMWindow.h ]; then
ip=1741
continue
fi
if [ "`ls -t xpcom/moz/nsIDOMWindow.idl build/xpcom/moz/nsIDOMWindow.h | sed 1q`" = "xpcom/moz/nsIDOMWindow.idl" ]; then
ip=1741
continue
fi
ip=1742
continue
;;
1741)
rebuild=1
currmake=build/xpcom/moz/nsIDOMWindow.h
xpidl -m header -o build/xpcom/moz/nsIDOMWindow -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIDOMWindow.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1742
continue
;;
1742)
echo Making build/xpcom/moz/nsIDOMNSHTMLElement.h
if [ ! -e build/xpcom/moz/nsIDOMNSHTMLElement.h ]; then
ip=1743
continue
fi
if [ "`ls -t xpcom/moz/nsIDOMNSHTMLElement.idl build/xpcom/moz/nsIDOMNSHTMLElement.h | sed 1q`" = "xpcom/moz/nsIDOMNSHTMLElement.idl" ]; then
ip=1743
continue
fi
ip=1744
continue
;;
1743)
rebuild=1
currmake=build/xpcom/moz/nsIDOMNSHTMLElement.h
xpidl -m header -o build/xpcom/moz/nsIDOMNSHTMLElement -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIDOMNSHTMLElement.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1744
continue
;;
1744)
echo Making build/xpcom/moz/nsIDOMHTMLInputElement.h
if [ ! -e build/xpcom/moz/nsIDOMHTMLInputElement.h ]; then
ip=1745
continue
fi
if [ "`ls -t xpcom/moz/nsIDOMHTMLInputElement.idl build/xpcom/moz/nsIDOMHTMLInputElement.h | sed 1q`" = "xpcom/moz/nsIDOMHTMLInputElement.idl" ]; then
ip=1745
continue
fi
ip=1746
continue
;;
1745)
rebuild=1
currmake=build/xpcom/moz/nsIDOMHTMLInputElement.h
xpidl -m header -o build/xpcom/moz/nsIDOMHTMLInputElement -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIDOMHTMLInputElement.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1746
continue
;;
1746)
echo Making build/xpcom/moz/nsIDOMHTMLElement.h
if [ ! -e build/xpcom/moz/nsIDOMHTMLElement.h ]; then
ip=1747
continue
fi
if [ "`ls -t xpcom/moz/nsIDOMHTMLElement.idl build/xpcom/moz/nsIDOMHTMLElement.h | sed 1q`" = "xpcom/moz/nsIDOMHTMLElement.idl" ]; then
ip=1747
continue
fi
ip=1748
continue
;;
1747)
rebuild=1
currmake=build/xpcom/moz/nsIDOMHTMLElement.h
xpidl -m header -o build/xpcom/moz/nsIDOMHTMLElement -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIDOMHTMLElement.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1748
continue
;;
1748)
echo Making build/xpcom/moz/nsIDOMElement.h
if [ ! -e build/xpcom/moz/nsIDOMElement.h ]; then
ip=1749
continue
fi
if [ "`ls -t xpcom/moz/nsIDOMElement.idl build/xpcom/moz/nsIDOMElement.h | sed 1q`" = "xpcom/moz/nsIDOMElement.idl" ]; then
ip=1749
continue
fi
ip=1750
continue
;;
1749)
rebuild=1
currmake=build/xpcom/moz/nsIDOMElement.h
xpidl -m header -o build/xpcom/moz/nsIDOMElement -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIDOMElement.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1750
continue
;;
1750)
echo Making build/xpcom/moz/nsIDOMDocument.h
if [ ! -e build/xpcom/moz/nsIDOMDocument.h ]; then
ip=1751
continue
fi
if [ "`ls -t xpcom/moz/nsIDOMDocument.idl build/xpcom/moz/nsIDOMDocument.h | sed 1q`" = "xpcom/moz/nsIDOMDocument.idl" ]; then
ip=1751
continue
fi
ip=1752
continue
;;
1751)
rebuild=1
currmake=build/xpcom/moz/nsIDOMDocument.h
xpidl -m header -o build/xpcom/moz/nsIDOMDocument -I${GECKO_SDK}idl/ -Ixpcom/moz/ xpcom/moz/nsIDOMDocument.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1752
continue
;;
1752)
if [ ! -e build/common/ ]; then
mkdir build/common/
fi
echo Making build/common/marshalling.o
if [ ! -e build/common/marshalling.o ]; then
ip=1753
continue
fi
if [ "`ls -t common/marshalling.cpp build/common/marshalling.o | sed 1q`" = "common/marshalling.cpp" ]; then
ip=1753
continue
fi
ip=1754
continue
;;
1753)
rebuild=1
currmake=build/common/marshalling.o
g++ -c common/marshalling.cpp -o build/common/marshalling.o
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1754
continue
;;
1754)
echo Making build/xpcom/src/KamenRettsuGo.o
if [ ! -e build/xpcom/src/KamenRettsuGo.o ]; then
ip=1755
continue
fi
if [ "`ls -t xpcom/src/KamenRettsuGo.cpp build/xpcom/src/KamenRettsuGo.o | sed 1q`" = "xpcom/src/KamenRettsuGo.cpp" ]; then
ip=1755
continue
fi
ip=1756
continue
;;
1755)
rebuild=1
currmake=build/xpcom/src/KamenRettsuGo.o
g++ -c xpcom/src/KamenRettsuGo.cpp -o build/xpcom/src/KamenRettsuGo.o -I build/xpcom/src/ -I build/xpcom/moz/ -I xpcom/moz/ -I ${GECKO_SDK}include/ -I ${FIREFOX_SOURCE}xpcom/string/public/ -I ${FIREFOX_SOURCE}js/src/
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1756
continue
;;
1756)
echo Making build/xpcom/src/KamenRettsuGoModule.o
if [ ! -e build/xpcom/src/KamenRettsuGoModule.o ]; then
ip=1757
continue
fi
if [ "`ls -t xpcom/src/KamenRettsuGoModule.cpp build/xpcom/src/KamenRettsuGoModule.o | sed 1q`" = "xpcom/src/KamenRettsuGoModule.cpp" ]; then
ip=1757
continue
fi
ip=1758
continue
;;
1757)
rebuild=1
currmake=build/xpcom/src/KamenRettsuGoModule.o
g++ -c xpcom/src/KamenRettsuGoModule.cpp -o build/xpcom/src/KamenRettsuGoModule.o -I build/xpcom/src/ -I build/xpcom/moz/ -I xpcom/moz/ -I ${GECKO_SDK}include/ -I ${FIREFOX_SOURCE}xpcom/string/public/ -I ${FIREFOX_SOURCE}js/src/
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1758
continue
;;
1758)
echo Making build/xpcom/src/SaruNoKumo.o
if [ ! -e build/xpcom/src/SaruNoKumo.o ]; then
ip=1759
continue
fi
if [ "`ls -t xpcom/src/SaruNoKumo.cpp build/xpcom/src/SaruNoKumo.o | sed 1q`" = "xpcom/src/SaruNoKumo.cpp" ]; then
ip=1759
continue
fi
ip=1760
continue
;;
1759)
rebuild=1
currmake=build/xpcom/src/SaruNoKumo.o
g++ -c xpcom/src/SaruNoKumo.cpp -o build/xpcom/src/SaruNoKumo.o -I build/xpcom/src/ -I build/xpcom/moz/ -I xpcom/moz/ -I ${GECKO_SDK}include/ -I ${FIREFOX_SOURCE}xpcom/string/public/ -I ${FIREFOX_SOURCE}js/src/
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1760
continue
;;
1760)
echo Making build/xpcom/src/IKamenLisper.xpt
if [ ! -e build/xpcom/src/IKamenLisper.xpt ]; then
ip=1761
continue
fi
if [ "`ls -t xpcom/src/IKamenLisper.idl build/xpcom/src/IKamenLisper.xpt | sed 1q`" = "xpcom/src/IKamenLisper.idl" ]; then
ip=1761
continue
fi
ip=1762
continue
;;
1761)
rebuild=1
currmake=build/xpcom/src/IKamenLisper.xpt
xpidl -m typelib -o build/xpcom/src/IKamenLisper -I${GECKO_SDK}idl/ xpcom/src/IKamenLisper.idl
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1762
continue
;;
1762)
if [ ! -e build/js/ ]; then
mkdir build/js/
fi
ip=1765
continue
;;
1765)
if [ "${rule}" = "nojar" ]; then
ip=1766
continue
fi
echo Making build/js/kamen.jar
if [ ! -e build/js/kamen.jar ]; then
ip=1764
continue
fi
if [ "`ls -t js/content/config.js build/js/kamen.jar | sed 1q`" = "js/content/config.js" ]; then
ip=1764
continue
fi
if [ "`ls -t js/content/config.xul build/js/kamen.jar | sed 1q`" = "js/content/config.xul" ]; then
ip=1764
continue
fi
if [ "`ls -t js/content/kamen.js build/js/kamen.jar | sed 1q`" = "js/content/kamen.js" ]; then
ip=1764
continue
fi
if [ "`ls -t js/content/kamen.xul build/js/kamen.jar | sed 1q`" = "js/content/kamen.xul" ]; then
ip=1764
continue
fi
if [ "`ls -t js/content/permissions.js build/js/kamen.jar | sed 1q`" = "js/content/permissions.js" ]; then
ip=1764
continue
fi
if [ "`ls -t js/content/showmsg.js build/js/kamen.jar | sed 1q`" = "js/content/showmsg.js" ]; then
ip=1764
continue
fi
if [ "`ls -t js/content/utils.js build/js/kamen.jar | sed 1q`" = "js/content/utils.js" ]; then
ip=1764
continue
fi
if [ "`ls -t js/locale/en-US/kamen.dtd build/js/kamen.jar | sed 1q`" = "js/locale/en-US/kamen.dtd" ]; then
ip=1764
continue
fi
if [ "`ls -t js/skin/config.css build/js/kamen.jar | sed 1q`" = "js/skin/config.css" ]; then
ip=1764
continue
fi
if [ "`ls -t js/skin/kamen.css build/js/kamen.jar | sed 1q`" = "js/skin/kamen.css" ]; then
ip=1764
continue
fi
if [ "`ls -t js/skin/kamen.png build/js/kamen.jar | sed 1q`" = "js/skin/kamen.png" ]; then
ip=1764
continue
fi
ip=1763
continue
;;
1764)
rebuild=1
currmake=build/js/kamen.jar
cd js/
find . -type f | grep -v "CVS" | zip -r -0 ../build/js/kamen.jar -@
cd ../
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1763
continue
;;
1766)
rm -rf build/js/
mkdir build/js/
mkdir build/js/kamen/
cp -r js/* build/js/kamen/.
find build/js/kamen/ | grep "CVS$" | xargs rm -rf
ip=1763
continue
;;
1763)
ip=1768
continue
;;
1768)
echo Making build/xpcom/src/KamenRettsuGo.so
if [ ! -e build/xpcom/src/KamenRettsuGo.so ]; then
ip=1769
continue
fi
if [ "`ls -t build/xpcom/src/KamenRettsuGo.o build/xpcom/src/KamenRettsuGo.so | sed 1q`" = "build/xpcom/src/KamenRettsuGo.o" ]; then
ip=1769
continue
fi
if [ "`ls -t build/xpcom/src/KamenRettsuGoModule.o build/xpcom/src/KamenRettsuGo.so | sed 1q`" = "build/xpcom/src/KamenRettsuGoModule.o" ]; then
ip=1769
continue
fi
if [ "`ls -t build/xpcom/src/SaruNoKumo.o build/xpcom/src/KamenRettsuGo.so | sed 1q`" = "build/xpcom/src/SaruNoKumo.o" ]; then
ip=1769
continue
fi
if [ "`ls -t build/common/marshalling.o build/xpcom/src/KamenRettsuGo.so | sed 1q`" = "build/common/marshalling.o" ]; then
ip=1769
continue
fi
ip=1770
continue
;;
1769)
rebuild=1
currmake=build/xpcom/src/KamenRettsuGo.so
ld build/xpcom/src/KamenRettsuGo.o build/xpcom/src/KamenRettsuGoModule.o build/xpcom/src/SaruNoKumo.o build/common/marshalling.o -shared -o build/xpcom/src/KamenRettsuGo.so -L ${GECKO_SDK}lib/ -lc
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1770
continue
;;
1770)
if [ ! -e build/glue/ ]; then
mkdir build/glue/
fi
if [ ! -e build/glue/src/ ]; then
mkdir build/glue/src/
fi
echo Making build/glue/src/henshin.o
if [ ! -e build/glue/src/henshin.o ]; then
ip=1771
continue
fi
if [ "`ls -t glue/src/henshin.cpp build/glue/src/henshin.o | sed 1q`" = "glue/src/henshin.cpp" ]; then
ip=1771
continue
fi
ip=1772
continue
;;
1771)
rebuild=1
currmake=build/glue/src/henshin.o
g++ -c glue/src/henshin.cpp -o build/glue/src/henshin.o -I ${ECL_PATH}include
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1772
continue
;;
1772)
ip=1773
continue
;;
1773)
echo Making build/glue/src/henshin.so
if [ ! -e build/glue/src/henshin.so ]; then
ip=1774
continue
fi
if [ "`ls -t build/glue/src/henshin.o build/glue/src/henshin.so | sed 1q`" = "build/glue/src/henshin.o" ]; then
ip=1774
continue
fi
if [ "`ls -t build/common/marshalling.o build/glue/src/henshin.so | sed 1q`" = "build/common/marshalling.o" ]; then
ip=1774
continue
fi
ip=1775
continue
;;
1774)
rebuild=1
currmake=build/glue/src/henshin.so
ld build/glue/src/henshin.o build/common/marshalling.o -shared -o build/glue/src/henshin.so -L ${ECL_PATH}lib -lc
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1775
continue
;;
1775)
ip=1778
continue
;;
1778)
echo Making build/kamen.xpi
if [ ! -e build/kamen.xpi ]; then
ip=1777
continue
fi
ip=1776
continue
;;
1777)
rebuild=1
currmake=build/kamen.xpi
rm -rf build/xpi/
mkdir build/xpi/
mkdir build/xpi/chrome/
mkdir build/xpi/components/
mkdir build/xpi/defaults/
mkdir build/xpi/defaults/preferences/
echo Copying build/xpi/chrome/kamen.jar
cp -r build/js/* build/xpi/chrome/.
echo Copying build/xpi/defaults/preferences/prefs.js
cp defaults/preferences/prefs.js build/xpi/defaults/preferences/prefs.js
echo Copying build/xpi/components/IKamenLisper.xpt
cp build/xpcom/src/IKamenLisper.xpt build/xpi/components/IKamenLisper.xpt
echo Copying build/xpi/components/KamenRettsuGo.so
cp build/xpcom/src/KamenRettsuGo.so build/xpi/components/KamenRettsuGo.so
echo Copying build/xpi/components/henshin.so
cp build/glue/src/henshin.so build/xpi/components/henshin.so
echo Copying build/xpi/components/libecl.so
cp ${ECL_PATH}lib/libecl.so build/xpi/components/libecl.so
cp -r meta/components/* build/xpi/components/.
if [ "${rule}" = "jar" ]; then
ip=1779
continue
fi
if [ "${rule}" = "nojar" ]; then
ip=1780
continue
fi
if [ "${rule}" = "addon" ]; then
ip=1781
continue
fi
ip=1690
continue
;;
1779)
cp -r meta/jar/* build/xpi/.
cd build/xpi/
zip -r -9 ../kamen_jar.xpi *
cd ../../
ip=1782
continue
;;
1780)
cp -r meta/nojar/* build/xpi/.
cd build/xpi/
zip -r -9 ../kamen_nojar.xpi *
cd ../../
ip=1782
continue
;;
1781)
cp -r meta/addon/* build/xpi/.
cd build/xpi/
zip -r -9 ../kamen_addon.xpi *
cd ../../
ip=1782
continue
;;
1782)
if [ $? -ne 0 ]; then
ip=1690
continue
fi
ip=1776
continue
;;
1776)
ip=1692
continue
;;
1690)
rebuild='1'
echo \*\*\* FAILED making $currmake
ip=1692
continue
;;
1691)
rebuild='1'
echo \*\*\* FAILED: ${errmsg}
ip=1692
continue
;;
1692)
break
;;
esac
done
if [ $rebuild = 0 ]; then
echo Nothing to rebuild
fi
